/*
 * Copyright 2010 Aleksey Shipilev
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.free.dedup;

import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicLong;

public class Counters {

    public final AtomicLong inputData = new AtomicLong();
    public final AtomicLong duplicatedData = new AtomicLong();
    public final AtomicLong compressedBlockSize = new AtomicLong();

    public final AtomicInteger collisions1 = new AtomicInteger();
    public final AtomicInteger collisions2 = new AtomicInteger();

}
